Skip to main content
GET
List fee products

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>[]
Available options:
active,
inactive
name
string[]
description_like
string

Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

from_creation_time
string<date-time>
name_like
string

Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

description
string[]
from_last_updated_time
string<date-time>
not_contains_all_fee_config_ids
string<uuid>[]
status_like
string

Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

to_last_updated_time
string<date-time>
tenant
string[]

The id of the tenant containing the resource.

fee_config_ids
string<uuid>[]
page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

not_contains_any_fee_config_ids
string<uuid>[]
contains_all_fee_config_ids
string<uuid>[]
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
name:asc,
name:desc
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

to_creation_time
string<date-time>
id
string<uuid>[]

Response

List of fee products

fee_products
object[]
required

Array of fee products

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"